<?php
/**
 * 404 page.
 *
 * @package Alfa
 * @author Spyropress
 * @link http://spyropress.com
 */

get_header(); 

$translate['404-title'] = get_setting( 'translate' ) ? get_setting( 'error-404-title', 'Ooops... Error 404' ) : __( 'Ooops... Error 404', 'spyropress' );
$translate['404-subtitle'] = get_setting('translate') ? get_setting( 'error-404-subtitle', 'We`re sorry, but the page you are looking for doesn`t exist.' ) : __( 'We`re sorry, but the page you are looking for doesn`t exist.', 'spyropress' );
$translate['404-text'] = get_setting('translate') ? get_setting( 'error-404-text', 'Please check entered address and try again <em>or</em>' ) : __( 'Please check entered address and try again <em>or</em>', 'spyropress' );
$translate['404-btn'] = get_setting('translate') ? get_setting( 'error-404-btn', 'go to homepage' ) : __( 'go to homepage', 'spyropress' );
$translate['404-link-title'] = get_setting('translate') ? get_setting( 'error-404-link-title', 'Here are some useful links' ) : __( 'Here are some useful links', 'spyropress' );

?>
    <div id="post-0" class="section">
        
        <div class="container">
        
            <div class="row">
                
                <div class="alpha columns ten">
            
                    <h1 class="entry-title"><?php echo $translate['404-title']; ?> <i class="icon icon-file"></i></h1>
            
                    <h6><?php echo $translate['404-subtitle']; ?></h6>
        
                    <div class="entry-content">
                        <p><?php echo $translate['404-text']; ?> <a href="<?php echo site_url(); ?>"><?php echo $translate['404-btn']; ?> <span>&rarr;</span></a></p>
                    </div>
                    
                </div>
                
                <div class="omega offset-by-one columns five">
                    
                    <h6><?php echo $translate['404-link-title']; ?></h6>
    				<?php
                        spyropress_get_nav_menu( array(
                            'container' => false,
                            'menu_class' => 'nav nav-list primary',
                            'echo' => true
                        ), 'page-404' );
                    ?>
                    
                </div>
                
            </div>
        
        </div>
        
    </div>
<?php get_footer(); ?>