( function() {
	// TinyMCE plugin start.
    tinymce.PluginManager.add( 'spyropressShortcodes', function( editor, url ) {

        // Register a command to open the dialog.
		editor.addCommand( 'spyropress_open_dialog', function( ui, params ) {

			tb_show( params.title + ' Shortcode Generator', spyropress_admin_settings['shortcode_url'] + "popup.php?popup=" + params.id + "&width=" + 800 );
            jQuery( "#TB_window").css( { zIndex: 999999 });
		});

        // Register a command to insert the shortcode immediately.
		editor.addCommand( 'spyropress_insert_immediate', function( ui, params ) {
			var selected = editor.selection.getContent({format: 'text'}),
                attrs = '';

			// If we have selected text, close the shortcode.
			if ( '' === selected ) {
				if( typeof params.content === 'undefined' ) {
				    selected = 'Your content goes here';
				}
                else {
                    selected = params.content;
                }
			}

            if( '' !== params.attrs ) {
                for (var key in params.attrs) {
                    attrs += ' ' + key + '="' + params.attrs[key] + '"';
                }
            }

			editor.insertContent( '[' + params.id + attrs + ']' + selected + '[/' + params.id + ']' );
		});

        // Add a button that opens a window
        editor.addButton( 'spyropress_shortcodes', {
			type: 'menubutton',
			text: false,
			icon: 'spyropress-shortcode-icon',
			tooltip: 'Insert a Spyropress Shortcode',
			menu: [
                //{ text: '', onclick: function() { editor.execCommand( '', false, { id: '', title: '', } ); } },
                {
                    text: 'Footer',
                    menu:[
                        //{ text: 'Social Information', onclick: function() { editor.execCommand( 'spyropress_open_dialog', false, { id: 'social_information', title: 'Social Information' } ); } },
                        //{ text: 'Footer Information', onclick: function() { editor.execCommand( 'spyropress_open_dialog', false, { id: 'footer_information', title: 'Footer Information', } ); } },
                    ]

                },
            ]
        });
    });
})();