(function() {

    tinymce.create( 'tinymce.plugins.spyropressShortcodes', {

        init: function ( ed, url )
		{
			ed.addCommand( 'spyropressPopup', function ( a, params ) {

				// load thickbox
                tb_show( params.title + ' Shortcode Generator', spyropress_admin_settings['shortcode_url'] + "popup.php?popup=" + params.identifier + "&width=" + 800 );
			});
		},

        addImmediate: function ( ed, title, sc) {
			ed.add({
				title: title,
				onclick: function () {
					tinyMCE.activeEditor.execCommand( 'mceInsertContent', false, sc )
				}
			})
		},

        addWithPopup: function ( ed, title, id ) {
			ed.add({
				title: title,
				onclick: function () {
					tinyMCE.activeEditor.execCommand( 'spyropressPopup', false, {
						title: title,
						identifier: id
					})
				}
			})
		},

        createControl: function ( btn, e ) {
			if ( btn == 'spyropress_shortcodes' )
			{
				var a = this;

				var btn = e.createSplitButton('spyropress_shortcodes', {
                    title: "Insert Shortcode",
					image: spyropress_admin_settings['media_url'] + 'shortcode_icon.png',
					icons: false
                });

                btn.onRenderMenu.add(function (c, b) {

					c = b.addMenu({
                        title: 'Buttons'
                    });
                        a.addWithPopup(c, "Button", "button");
                        a.addImmediate(c, "Button Groups", "[btn_group] buttons goes here [/btn_group]");
                        a.addImmediate(c, "Multiple Button Groups", "[btn_toolbar][btn_group] buttons goes here [/btn_group][btn_group] buttons goes here [/btn_group][/btn_toolbar]");
                        a.addImmediate(c, "Vertical Button Groups", "[btn_group_vertical] buttons goes here [/btn_group_vertical]");
                    c = b.addMenu({
                        title: 'Boxes'
                    });
                        a.addWithPopup(c,"Box","box" );
                        a.addWithPopup(c,"Colored Box","box_colored" );
                        a.addWithPopup(c,"Ribbon Box","box_ribbon" );
                        //a.addWithPopup(c,"Icon Box","icon_box" );
                    b.addSeparator();

				});

                return btn;
			}

			return null;
		},

        getInfo: function () {
			return {
				longname: 'Spyropress Shortcodes',
				author: 'Spyropress',
				authorurl: 'http://themeforest.net/user/spyropress/',
				infourl: 'http://wiki.moxiecode.com/',
				version: '1.0'
			}
		}
    });

    tinymce.PluginManager.add( 'spyropressShortcodes', tinymce.plugins.spyropressShortcodes );

})();