<?php
/**
 * Theme Options
 *
 * @author 		SpyroSol
 * @category 	Admin
 * @package 	Spyropress
 */

global $spyropress_theme_settings;

$spyropress_theme_settings['general'] = array(

	array(
        'label' => __( 'General Settings', 'spyropress' ),
        'type' => 'heading',
        'slug' => 'generalsettings',
        'icon' => 'module-icon-general'
    ),

    array(
		'label' => __( 'Logos', 'spyropress' ),
        'type' => 'sub_heading'
	),

    array(
		'label' => __( 'Custom Logo', 'spyropress' ),
        'desc' => __( 'Upload a logo for your site or specify an image URL directly.', 'spyropress' ),
		'id' => 'logo',
        'type' => 'upload'
	),

    array(
		'label' => __( 'Custom Menu Logo', 'spyropress' ),
        'desc' => __( 'Upload a logo for your site or specify an image URL directly.', 'spyropress' ),
		'id' => 'menu_logo',
        'type' => 'upload'
	),

    array(
		'label' => __( 'Custom Favicon', 'spyropress' ),
        'desc' => __( 'Upload a favicon for your site or specify an icon URL directly.<br/>Accepted formats: ico, png, gif', 'spyropress' ),
		'id' => 'custom_favicon',
        'type' => 'upload'
	),

    array(
		'label' => __( 'Apple Touch Icon (small)', 'spyropress' ),
        'desc' => __( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 57px x 57px.', 'spyropress' ),
		'id' => 'apple_small',
        'type' => 'upload'
	),

    array(
		'label' => __( 'Apple Touch Icon (medium)', 'spyropress' ),
        'desc' => __( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 72px x 72px.', 'spyropress' ),
		'id' => 'apple_medium',
        'type' => 'upload'
	),

    array(
		'label' => __( 'Apple Touch Icon (large)', 'spyropress' ),
        'desc' => __( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 114px x 114px.', 'spyropress' ),
		'id' => 'apple_large',
        'type' => 'upload'
	),

    array(
		'label' => __( 'Header Settings', 'spyropress' ),
		'type' => 'sub_heading'
	),

    array(
        'label' => __( 'Content Type', 'spyropress' ),
        'id' => 'h_type',
        'type' => 'select',
        'class' => 'enable_changer',
        'options' => array(
            'image' => __( 'Image', 'spyropress' ),
            'slider' => __( 'Slider', 'spyropress' ),
            'video' => __( 'Video', 'spyropress' ),
        ),
        'std' => 'image'
    ),

    array(
        'label' => __( 'Image', 'spyropress' ),
        'id' => 'h_image',
        'class' => 'h_type image',
        'type' => 'upload'
    ),

    array(
        'label' => __( 'Slides', 'spyropress' ),
        'id' => 'h_slider',
        'class' => 'h_type slider',
        'type' => 'repeater',
        'fields' => array(
            array(
                'id' => 'img',
                'type' => 'upload'
            )
        )
    ),

    array(
        'label' => __( 'Video', 'spyropress' ),
        'id' => 'h_video',
        'class' => 'h_type video',
        'type' => 'upload'
    ),

    array(
        'label' => __( 'Video Alternate', 'spyropress' ),
        'id' => 'h_video_alt',
        'class' => 'h_type video',
        'type' => 'upload'
    ),

    array(
        'label' => __( 'Teaser Line 1', 'spyropress' ),
        'id' => 'h_teaser_1',
        'type' => 'text'
    ),

    array(
        'label' => __( 'Teaser Line 2', 'spyropress' ),
        'id' => 'h_teaser_2',
        'type' => 'text'
    ),

    array(
        'id' => 'disable_arrow',
        'type' => 'checkbox',
        'options' => array(
            '1' => __( 'Disable down arrow', 'spyropress' )
        )
    ),

    array(
        'label' => __( 'Tracking Code', 'spyropress' ),
        'type' => 'sub_heading',
        'desc' => __( 'Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.','spyropress' ),
    ),

    array(
        'class' => 'section-full',
		'id' => 'tracking_code',
        'type' => 'textarea'
	),

    array(
        'label' => __( 'Custom CSS', 'spyropress' ),
        'type' => 'sub_heading'
    ),

    array(
        'id' => 'custom_css_textarea',
        'type' => 'textarea',
        'rows' => 12,
        'class' => 'section-full'
    )

); // End General Settings

$spyropress_theme_settings['footer'] = array(

    array(
        'label' => __( 'Footer Customization', 'spyropress' ),
        'type' => 'heading',
        'slug' => 'footer',
        'icon' => 'module-icon-footer'
    ),

    array(
		'label' => __( 'Copyright Text', 'spyropress' ),
		'id' => 'copyright_text',
        'type' => 'editor',
        'rows' => 8
	),

    array(
		'label' => __( 'Social', 'spyropress' ),
		'type' => 'repeater',
        'id' => 'socials',
        'item_title' => 'icon',
        'fields' => array(
            array(
                'label' => __( 'Sociable Icon', 'spyropress' ),
                'id' => 'icon',
                'type' => 'select',
                'options' => array(
                    'addthis' => __( 'Addthis', 'spyropress' ),
                    'delicious' => __( 'Delicious', 'spyropress' ),
                    'deviantart' => __( 'Deviantart', 'spyropress' ),
                    'dribble' => __( 'Dribble', 'spyropress' ),
                    'digg' => __( 'Digg', 'spyropress' ),
                    'email' => __( 'Email', 'spyropress' ),
                    'facebook' => __( 'Facebook', 'spyropress' ),
                    'gplus' => __( 'Google+', 'spyropress' ),
                    'linkedin' => __( 'Linkedin', 'spyropress' ),
                    'pinterest' => __( 'Pinterest', 'spyropress' ),
                    'reddit' => __( 'Reddit', 'spyropress' ),
                    'rss' => __( 'RSS', 'spyropress' ),
                    'sharethis' => __( 'Sharethis', 'spyropress' ),
                    'stumbleupon' => __( 'Stumbleupon', 'spyropress' ),
                    'twitter' => __( 'Twitter', 'spyropress' ),
                    'youtube' => __( 'Youtube', 'spyropress' ),
                )
            ),

            array(
                'label' => __( 'Link', 'spyropress' ),
                'id' => 'link',
                'type' => 'text',
            )
        )
	)

); // END FOOTER

$spyropress_theme_settings['post'] = array(

    array(
        'label' => __( 'Post Options', 'spyropress' ),
        'type' => 'heading',
        'slug' => 'post',
        'icon' => 'module-icon-post'
    ),

    array (
		'label'    => __( 'Listing Settings', 'spyropress' ),
		'type'    => 'sub_heading'
	),

    array(
		'label' => __( 'Post Content', 'spyropress' ),
        'desc' => __( 'Select full content or the excerpt while showing posts.', 'spyropress' ),
        'id' => 'post_content',
		'type' => 'select',
		'options' => array(
            'content' => __( 'Full Content', 'spyropress' ),
            'excerpt' => __( 'The Excerpt', 'spyropress' )
        ),
		'std' => 'excerpt'
	),

    array(
		'label' => __( 'Excerpt Settings', 'spyropress' ),
		'type' => 'sub_heading'
	),

    array(
        'label' => __( 'Length by', 'spyropress' ),
        'id' => 'excerpt_by',
        'type' => 'select',
        'options' => array (
            '' => '',
            'words' => __( 'Words', 'spyropress' ),
            'chars' => __( 'Character', 'spyropress' ),
        ),
        'std' => 'words'
	),

    array(
		'label' => __( 'Length', 'spyropress' ),
        'desc' => __( 'Set the length of excerpt.', 'spyropress' ),
		'id' => 'excerpt_length',
        'type' => 'text',
        'std' => 15
	),

    array(
		'label' => __( 'Ellipsis', 'spyropress' ),
        'desc' => __( 'This is the description field, again good for additional info.', 'spyropress' ),
		'id' => 'excerpt_ellipsis',
        'type' => 'text',
        'std' => '&hellip;'
	),

    array(
		'label' => __( 'Before Text', 'spyropress' ),
        'desc' => __( 'This is the description field, again good for additional info.', 'spyropress' ),
		'id' => 'excerpt_before_text',
        'type' => 'text',
        'std' => '<p>'
	),

    array(
		'label' => __( 'After Text', 'spyropress' ),
        'desc' => __( 'This is the description field, again good for additional info.', 'spyropress' ),
		'id' => 'excerpt_after_text',
        'type' => 'text',
        'std' => '</p>'
	),

    array(
		'label' => __( 'Read More', 'spyropress' ),
		'id' => 'excerpt_link_to_post',
        'type' => 'checkbox',
        'options' => array(
            1 => __( 'Enable or disable Read more link.', 'spyropress' ),
        )
	),

    array(
		'label' => __( 'Link Text', 'spyropress' ),
        'desc' => __( 'A text for Read More button.', 'spyropress' ),
		'id' => 'excerpt_link_text',
        'type' => 'text',
        'std' => __( 'Read more', 'spyropress' )
	),

    array(
		'label' => __( 'Related Posts', 'spyropress' ),
		'type' => 'sub_heading'
	),

    array(
		'id' => 'related_post_enable',
        'type' => 'checkbox',
        'options' => array(
            1 => __( 'Enable related posts', 'spyropress' ),
        )
	),

    array(
		'label' => __( 'Related Title', 'spyropress' ),
        'desc' => __( 'Write the title.', 'spyropress' ),
		'id' => 'related_post_title',
        'type' => 'text',
        'std' => 'Related Posts'
	),

    array(
		'label' => __( 'Number Of items', 'spyropress' ),
        'desc' => __( 'Set the number of related post.', 'spyropress' ),
		'id' => 'related_post_number',
        'type' => 'range_slider',
        'max' => '20',
        'min' => '1',
        'std' => 4
	),

    array(
		'label' => __( 'Related Post By', 'spyropress' ),
        'desc' => __( 'Choose the tag or category to show related posts.', 'spyropress' ),
        'id' => 'related_post_by',
		'type' => 'select',
		'options' => array(
            'category' => __( 'Category', 'spyropress' ),
            'post_tag' => __( 'Tag', 'spyropress' )
        ),
		'std' => 'category'
	),

); // End Blog Settings

$spyropress_theme_settings['translate'] = array(

	array(
        'label' => __( 'Translate', 'spyropress' ),
        'type' => 'heading',
        'slug' => 'translate',
        'icon' => 'module-icon-docs'
    ),

    array(
		'label' => __( 'General', 'spyropress' ),
		'type' => 'sub_heading'
	),

    array(
        'desc' => __( 'Turn it off if you want to use .mo .po files for more complex translation.', 'spyropress' ),
		'id' => 'translate',
        'type' => 'checkbox',
        'options' => array(
            1 => __( 'Enable Translate', 'spyropress' ),
        ),
        'std' => '1'
	),

    array(
		'label' => __( 'Home', 'spyropress' ),
        'desc' => __( 'Breadcrumb and Menu', 'spyropress' ),
		'id' => 'translate-home',
        'type' => 'text',
        'std' => 'Home'
	),

    array(
		'label' => __( 'Blog', 'spyropress' ),
        'desc' => __( 'Breadcrumb and Menu', 'spyropress' ),
		'id' => 'translate-blog',
        'type' => 'text',
        'std' => 'Blog'
	),

    array(
		'label' => __( 'Search Placeholder', 'spyropress' ),
        'desc' => __( 'Search widget', 'spyropress' ),
		'id' => 'search-placeholder',
        'type' => 'text',
        'std' => 'Search..'
	),
    
    array(
		'label' => __( 'View Post Button', 'spyropress' ),
        'desc' => __( 'Read more button for the single post', 'spyropress' ),
		'id' => 'view-more-btn',
        'type' => 'text',
        'std' => 'View Post'
	),
    
    array(
		'label' => __( 'Portfolio', 'spyropress' ),
		'type' => 'sub_heading'
	),

    array(
		'label' => __( 'Date Title', 'spyropress' ),
		'id' => 'portfolio_date_title',
        'type' => 'text',
        'std' => 'Date'
	),

    array(
		'label' => __( 'Preview Title', 'spyropress' ),
		'id' => 'portfolio_preview_title',
        'type' => 'text',
        'std' => 'View Online'
	),

    array(
		'label' => __( 'Client Title', 'spyropress' ),
		'id' => 'portfolio_client_title',
        'type' => 'text',
        'std' => 'Client'
	),

    array(
		'label' => __( 'Blog & Archives', 'spyropress' ),
		'type' => 'sub_heading'
	),

    array(
		'label' => __( 'Blog', 'spyropress' ),
        'desc' => __( 'Blog', 'spyropress' ),
		'id' => 'blog-title',
        'type' => 'text',
        'std' => 'Our <span>Blog</span>'
	),

    array(
		'label' => __( 'Category', 'spyropress' ),
        'desc' => __( 'Archive', 'spyropress' ),
		'id' => 'cat-title',
        'type' => 'text',
        'std' => 'Category: <span>%s</span>'
	),

    array(
		'label' => __( 'Tag', 'spyropress' ),
        'desc' => __( 'Archive', 'spyropress' ),
		'id' => 'tag-title',
        'type' => 'text',
        'std' => 'Tag: <span>%s</span>'
	),

    array(
		'label' => __( 'Day', 'spyropress' ),
        'desc' => __( 'Archive', 'spyropress' ),
		'id' => 'day-title',
        'type' => 'text',
        'std' => 'Daily: <span>%s</span>'
	),

    array(
		'label' => __( 'Month', 'spyropress' ),
        'desc' => __( 'Archive', 'spyropress' ),
		'id' => 'month-title',
        'type' => 'text',
        'std' => 'Monthly: <span>%s</span>'
	),

    array(
		'label' => __( 'Year', 'spyropress' ),
        'desc' => __( 'Archive', 'spyropress' ),
		'id' => 'year-title',
        'type' => 'text',
        'std' => 'Yearly: <span>%s</span>'
	),

    array(
		'label' => __( 'Archive', 'spyropress' ),
        'desc' => __( 'Archive', 'spyropress' ),
		'id' => 'archive-title',
        'type' => 'text',
        'std' => 'Archives'
	),

    array(
		'label' => __( 'Search', 'spyropress' ),
        'desc' => __( 'Search result page', 'spyropress' ),
		'id' => 'search-title',
        'type' => 'text',
        'std' => 'Search results: <span>%s</span>'
	),
    
    array(
		'label' => __( 'Comments', 'spyropress' ),
		'type' => 'sub_heading'
	),

    array(
		'id' => 'translate-comment',
		'type' => 'text',
		'label' => __('Comment', 'spyropress'),
		'desc' => __('Text to display when there is one comment', 'spyropress'),
		'std' => 'Comment'
	),

	array(
		'id' => 'translate-comments',
		'type' => 'text',
		'label' => __('Comments', 'spyropress'),
		'desc' => __('Text to display when there are more than one comments', 'spyropress'),
		'std' => 'Comments'
	),

	array(
		'id' => 'translate-comments-off',
		'type' => 'text',
		'label' => __('Comments closed', 'spyropress'),
		'desc' => __('Text to display when comments are disabled', 'spyropress'),
		'std' => 'Comments are closed.'
	),
    
    array(
		'label' => __( 'Comment Reply Title', 'spyropress' ),
		'id' => 'translate-reply-title',
        'type' => 'text',
        'std' => 'Leave a comment'
	),

    array(
		'label' => __( 'Comment Button', 'spyropress' ),
		'id' => 'translate-reply-btn',
        'type' => 'text',
        'std' => 'Submit'
	),

    array(
		'id' => 'comment-reply',
		'type' => 'text',
		'label' => __('Reply', 'spyropress'),
		'desc' => __('Text to display on comment Reply Button', 'spyropress'),
		'std' => 'Reply'
	),

    array(
		'label' => __( 'Error 404', 'spyropress' ),
		'type' => 'sub_heading'
	),

    array(
		'label' => __( 'Title', 'spyropress' ),
        'desc' => __( 'Ooops... Error 404', 'spyropress' ),
		'id' => 'error-404-title',
        'type' => 'text',
        'std' => 'Ooops... Error 404'
	),

    array(
		'label' => __( 'Subtitle', 'spyropress' ),
        'desc' => __( 'We are sorry, but the page you are looking for does not exist.', 'spyropress' ),
		'id' => 'error-404-subtitle',
        'type' => 'text',
        'std' => 'We are sorry, but the page you are looking for does not exist.'
	),

    array(
		'label' => __( 'Text', 'spyropress' ),
        'desc' => __( 'Please check entered address and try again or', 'spyropress' ),
		'id' => 'error-404-text',
        'type' => 'text',
        'std' => 'Please check entered address and try again or'
	),

    array(
		'label' => __( 'Button', 'spyropress' ),
        'desc' => __( 'Go To Homepage button', 'spyropress' ),
		'id' => 'error-404-btn',
        'type' => 'text',
        'std' => 'go to homepage'
	),
    
    array(
		'label' => __( 'Useful Title', 'spyropress' ),
        'desc' => __( 'Useful links title', 'spyropress' ),
		'id' => 'error-404-link-title',
        'type' => 'text',
        'std' => 'Here are some useful links'
	)

);

$spyropress_theme_settings['plugins'] = array(

	array(
        'label' => __( 'Settings', 'spyropress' ),
        'type' => 'heading',
        'slug' => 'plugins',
        'icon' => 'module-icon-general'
    ),

    array(
		'label' => __( 'Email Settings', 'spyropress' ),
		'type' => 'sub_heading'
	),

    array(
		'label' => __( 'Sender Name', 'spyropress' ),
        'desc' => __( 'For example sender name is "WordPress".', 'spyropress' ),
		'id' => 'mail_from_name',
        'type' => 'text'
	),

    array(
		'label' => __( 'Sender Email Address', 'spyropress' ),
        'desc' => __( 'For example sender email address is wordpress@yoursite.com.', 'spyropress' ),
		'id' => 'mail_from_email',
        'type' => 'text'
	),

    array(
		'label' => __( 'Twitter Settings', 'spyropress' ),
		'type' => 'toggle'
	),

    array(
        'label' => __( 'Screen name', 'spyropress' ),
        'id' => 'twitter_username',
        'type' => 'text'
    ),

    array(
		'label' => __( 'Create an Application', 'spyropress' ),
        'desc' => '<a href="https://dev.twitter.com/apps" target="_blank">Create an Application on Twitter</a>, once your application is created Twitter will generate your Oauth key and access tokens. Paste them below.',
		'type' => 'info'
	),

    array(
        'label' => __( 'Consumer Key', 'spyropress' ),
        'id' => 'consumer_key',
        'type' => 'text'
    ),

    array(
        'label' => __( 'Consumer Secret', 'spyropress' ),
        'id' => 'consumer_secret',
        'type' => 'text'
    ),

    array(
        'label' => __( 'Access Token', 'spyropress' ),
        'id' => 'access_token',
        'type' => 'text'
    ),

    array(
        'label' => __( 'Access Token Secret', 'spyropress' ),
        'id' => 'access_token_secret',
        'type' => 'text'
    ),

    array(
		'type' => 'toggle_end'
	),

    array(
		'label' => __( 'WP-Pagenavi', 'spyropress' ),
		'type' => 'toggle'
	),

    array(
		'label' => __( 'Text For Number Of Pages', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_pages_text',
        'desc' =>   '%CURRENT_PAGE% - ' . __( 'The current page number.', 'spyropress' ) .
                    '<br />%TOTAL_PAGES% - ' . __( 'The total number of pages.', 'spyropress' ),
        'std' => __( 'Page %CURRENT_PAGE% of %TOTAL_PAGES%', 'spyropress' ),
	),

    array(
		'label' => __( 'Text For Current Page', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_current_text',
        'desc' => '%PAGE_NUMBER% - '.__( 'The page number.', 'spyropress' ),
        'std' => '%PAGE_NUMBER%'
	),

    array(
		'label' => __( 'Text For Page', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_page_text',
        'desc' => '%PAGE_NUMBER% - ' .__( 'The page number.', 'spyropress' ),
        'std' => '%PAGE_NUMBER%'
	),

    array(
		'label' => __( 'Text For First Page', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_first_text',
        'desc' => '%TOTAL_PAGES% - ' .__( 'The total number of pages.', 'spyropress' ),
        'std' => __( '&laquo; First', 'spyropress' )
	),

    array(
		'label' => __( 'Text For Last Page', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_last_text',
        'desc' => '%TOTAL_PAGES% - ' .__( 'The total number of pages.', 'spyropress' ),
        'std' => __( 'Last &raquo;', 'spyropress' )
	),

    array(
		'label' => __( 'Text For Previous Page', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_prev_text',
        'std' => __( '&laquo;', 'spyropress' )
	),

    array(
		'label' => __( 'Text For Next Page', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_next_text',
        'std' => __( '&raquo;', 'spyropress' )
	),

    array(
		'label' => __( 'Text For Previous &hellip;', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_dotleft_text',
        'std' => __( '&hellip;', 'spyropress' )
	),

    array(
		'label' => __( 'Text For Next &hellip;', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_dotright_text',
        'std' => __( '&hellip;', 'spyropress' )
    ),

    array(
        'label' => __( 'Page Navigation Text', 'spyropress' ),
        'type' => 'sub_heading',
        'desc' => __( 'Leaving a field blank will hide that part of the navigation.', 'spyropress' ),
    ),

    array(
		'label' => __( 'Always Show Page Navigation', 'spyropress' ),
		'type' => 'checkbox',
        'id' => 'pagination_always_show',
        'options' => array(
            1 => __( 'Show navigation even if there\'s only one page.', 'spyropress' ),
        )
    ),

    array(
		'label' => __( 'Number Of Pages To Show', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_num_pages',
        'std' => 5
    ),

    array(
		'label' => __( 'Number Of Larger Page Numbers To Show', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_num_larger_page_numbers',
        'desc' => __( 'Larger page numbers are in addition to the normal page numbers. They are useful when there are many pages of posts.', 'spyropress' ),
        'std' => 3
    ),

    array(
		'label' => __( 'Show Larger Page Numbers In Multiples Of', 'spyropress' ),
		'type' => 'text',
        'id' => 'pagination_larger_page_numbers_multiple',
        'desc' => __( 'For example, if mutiple is 5, it will show: 5, 10, 15, 20, 25', 'spyropress' ),
        'std' => 10
    ),

    array(
		'type' => 'toggle_end'
	),

); // END PLUGINS

$spyropress_theme_settings['separator'] = array(

	array ( 'type' => 'separator' )

); // END Separator

$spyropress_theme_settings['import'] = array(

	array (
        'label' => __( 'Import / Export', 'spyropress' ),
        'type' => 'heading',
        'slug' => 'import-export',
        'icon' => 'module-icon-import'
    ),

    array(
        'type' => 'import_dummy'
	),

    array(
        'type' => 'import'
	),

    array(
        'type' => 'export'
	),
); // END Import/Export

$spyropress_theme_settings['support'] = array(

	array (
        'label' => __( 'Support', 'spyropress' ),
        'type' => 'heading',
        'slug' => 'support',
        'icon' => 'module-icon-support'
    ),

    array(
		'id' => 'admin/docs-support.php',
        'type' => 'include'
	)

); // END Separator
?>