<?php

get_header();

while( have_posts() ) {
    the_post();
?>
<div id="work">
	<div class="container">
		<div class="sixteen columns">
			<div id="cbp-fwslider" class="cbp-fwslider">
			<?php
                $details = get_post_meta( get_the_ID(), '_portfolio_details', true );
                $excludes = array( get_post_thumbnail_id(), get_attachment_id_by_src( $details['client_logo'] ) );
                $excludes = spyropress_clean_array( $excludes );
                
                $args = $attachments = array();
                if( $details ) {
                    if( $ids = $details['previews'] ) {
                        $attachments = explode( ',', str_replace( array( '[gallery ids=', ']', '"' ), '', $ids ) );
                    }
                    else {
                        $args = array(
                            'post_parent'       => get_the_ID(),
                            'post_status'       => 'inherit',
                            'post_type'         => 'attachment',
                            'post_mime_type'    => 'image',
                            'order'             => 'ASC',
                            'exclude'           => $excludes,
                            'fields'            => 'ids'
                        );
                        
                        $attachments = get_posts( $args );
                    }
                }
                
                if ( !empty( $attachments ) ) {
                    echo '<ul>';
                    
                    foreach( $attachments as $id ) {
                        $image = get_image( array(
                            'attachment' => $id,
                            'width' => 9999,
                            'responsive' => true,
                            'before' => '<li>',
                            'after' => '</li>'
                        ));                                
                    }   
                    
                    echo '</ul>';
                }
            ?>
			</div>
		</div>
		<div class="twelve columns">
			<h6><?php the_title(); ?></h6>
            <?php the_content(); ?>
		</div>
        <?php
            $terms = get_the_terms( get_the_ID(), 'portfolio_tags' );
            
            if( !empty( $terms ) ) {
        ?>
		<div class="services-list arrow-list">	
			<div class="four columns">
				<ul>
				<?php
                    foreach( $terms as $term )
                        echo '<li><p>' . $term->name . '</p></li>';
                ?>
				</ul>	
			</div>	
		</div>
        <?php } ?>		
	</div>
</div>
<?php

}
get_footer();

?>