<?php

if( !get_setting( 'related_post_enable', false ) ) return;

$limit = get_setting( 'related_post_number', 4 );
$related_by = get_setting( 'related_post_by' );

$args = array(
    'taxonomy'  => $related_by,
    'post_id'   => get_the_ID(),
    'exclude'   => array(),
);

extract( $args );

$terms = wp_get_post_terms( $post_id, $taxonomy, array( 'fields' => 'ids' ));

if ( count( ( $terms = array_diff( $terms, $exclude ) ) ) == 0 ) return;

$related_posts = get_posts( array(
    'tax_query' => array(
         array(
              'taxonomy' => $taxonomy,
              'field' => 'id',
              'terms' => $terms,
              'operator' => 'IN'
         )
    ),
    'post_type' => 'post',
    'posts_per_page' => $limit + 1,
    'exclude' => $post_id
) );

if ( count( $related_posts ) == 0 ) return;

$translate['related-title'] = get_setting( 'translate' ) ? get_setting( 'related_post_title', 'Related Posts' ) : __( 'Related Posts', 'spyropress' );
?>
<div class="related">
	<h6><?php echo $translate['related-title'] ?></h6>
    <?php foreach ( $related_posts as $related_post ) { ?>
        <?php
            get_image(array(
                'post_id' => $related_post->ID,
                'width' => 220,
                'type' => 'url'
            ));
        ?>
    <?php } ?>
</div>